Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.client
Class ChatReceiverHandler

    java.lang.Object
      org.jboss.remoting.samples.chat.client.ChatReceiverHandler

All Implemented Interfaces:
  InvokerCallbackHandler

    public class ChatReceiverHandler

extends java.lang.Object
implements InvokerCallbackHandler

Constructor Summary
`ChatReceiverHandler(TalkFrame tf)`

Method Summary
`void` | `handleCallback(Callback callback)` Will take the callback message and send back to client.
`protected void` | `send(java.lang.Object[] args)`
`protected void` | `sendMultiple(java.lang.Object[] args)`
`protected void` | `setKey(java.lang.Object[] args)`
`protected void` | `shuttingDown(java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatReceiverHandler

    public ChatReceiverHandler(TalkFrame tf)

Method Detail

### handleCallback

    public void handleCallback(Callback callback)
                        throws HandleCallbackException

  Description copied from interface: `InvokerCallbackHandler`
  Will take the callback message and send back to client. If client locator is null, will store them till client polls to get them.

  Specified by:
    `handleCallback` in interface `InvokerCallbackHandler`
  Throws:
    `HandleCallbackException`

### send

    protected void send(java.lang.Object[] args)

### sendMultiple

    protected void sendMultiple(java.lang.Object[] args)

### setKey

    protected void setKey(java.lang.Object[] args)

### shuttingDown

    protected void shuttingDown(java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.